;; File: startup.el.in
;; Description: Emacsen startup for dictionaries-common in Debian
;; Author: Rafael Laboissire <rafael@debian.org>
;; Created on: Fri Oct 22 09:48:21 CEST 1999
;; Last modified on: Mon Feb 25 16:42:30 CET 2002

(debian-pkg-add-load-path-item
 (concat "/usr/share/"
	 (symbol-name debian-emacs-flavor)
	 "/site-lisp/dictionaries-common"))

(autoload 'debian-ispell-add-dictionary-entry "debian-ispell" nil t)
(autoload 'flyspell-mode "flyspell" nil t)
(autoload 'flyspell-prog-mode "flyspell" nil t)

;; Load the emacsen cache file, containing calls to
;;  debian-ispell-add-dictionary-entry for each installed dictionary.

(load "/var/cache/dictionaries-common/emacsen-ispell-dicts.el" t)

;; This will force menu changes. To be loaded after all dictionaries emacs
;; stuff is loaded. ispell.el will be loaded at this time
;; 
;; Comment the lines below if you do not want ispell.el to be loaded at startup

(setq ispell-menu-xemacs nil)
(condition-case nil
    (ispell-change-dictionary nil)
  (error nil)
  )

;;Local Variables:
;;mode: lisp
;;End:

